const int pin = 2;
volatile int flag = 0;
volatile int notified = 0;
const int led = 10;
unsigned long activate_time;
unsigned long skip_time = 3000; // time to ignore interrupts



void setup()
{
  pinMode(led, OUTPUT);
  digitalWrite(led,HIGH);
  pinMode(pin, INPUT_PULLUP);
  attachInterrupt(1, onInterrupt, FALLING );
  Keyboard.begin();
}

void loop()
{
  if (flag!=0)
  {
    if (notified == 0)
    {
      Keyboard.write(88);
      notified = 1;
    }
    unsigned long current_time = millis();
    if (current_time - activate_time > skip_time)
    {
      // listen to interrupts again
      digitalWrite(led,HIGH);
      flag=0;
    }
    
  }
}

void onInterrupt()
{
  if (flag==0)
  {
    activate_time = millis();
    flag=1;
    notified = 0;
    digitalWrite(led,LOW);
  }
}
